<?php
/**
 * Plugin Name: Oxygen Converter - Pasting Plugin
 * Description: Smart paste functionality for Oxygen Builder that handles class mapping and element ID management.
 * Version: 1.0
 * Author: Levels.dev
 * Author URI: https://levels.dev
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: oxygen-converter-pasting-plugin
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

class Oxygen_Converter_Pasting_Plugin {

    /**
     * Constructor
     */
    public function __construct() {
        // Register hook for frontend script
        add_action('wp_enqueue_scripts', array($this, 'enqueue_scripts'));
        
        // Register AJAX actions
        add_action('wp_ajax_get_oxygen_classes', array($this, 'get_oxygen_classes_ajax'));
        add_action('wp_ajax_nopriv_get_oxygen_classes', array($this, 'get_oxygen_classes_ajax'));
        
        add_action('wp_ajax_get_highest_element_id', array($this, 'get_highest_element_id_ajax'));
        add_action('wp_ajax_nopriv_get_highest_element_id', array($this, 'get_highest_element_id_ajax'));
    }

    /**
     * Enqueue scripts and styles
     */
    public function enqueue_scripts() {

        // Register and enqueue the script
	    wp_enqueue_script(
            'oxygen-converter-paster', 
            plugins_url('paster.js', __FILE__), 
            array(), 
            '1.0', 
            true
        );

    }
}

// Initialize the plugin
$oxygen_converter_pasting_plugin = new Oxygen_Converter_Pasting_Plugin();
